GIT-FEATURE(1)

NAME
git-feature - Create/Merge feature branch

SYNOPSIS
git-feature [-a|--alias branch_prefix] [finish] <name>

DESCRIPTION
Create/Merge the given feature branch

OPTIONS
<-a|--alias branch_prefix>

use branch_prefix instead of feature

<finish>

Merge and delete the feature branch.

<name>

The name of the feature branch.

EXAMPLES

$ git feature dependencies
`...`
$ (feature/dependencies) git commit -m "Some changes"
`...`
$ (feature/dependencies) git checkout master
$ git feature finish dependencies

$ git alias features "feature -a features"
$ git features dependencies
$ (features/dependencies) ...
$ (features/dependencies) git checkout master
$ git features finish dependencies

AUTHOR
Written by Jesus Espino <jespinog@gmail.com>

REPORTING BUGS
<https://github.com/tj/git-extras/issues>

SEE ALSO
<https://github.com/tj/git-extras>